<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;resultSets>&lt;resultSet queryID="totalQueries">&lt;row>&lt;total>1&lt;/total>&lt;/row>&lt;/resultSet>&lt;/resultSets>&lt;id>12&lt;/id>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISInvokingModule">VAM_am_wfc_058_deleteQuery</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleId">576619</Property>
		<Property name="ISCurrentTime">1501524798468</Property>
		<Property name="ISInvokingWorkflow">VAM_am_060_query</Property>
		<Property name="ISWorkflowName">VAM_am_060_query</Property>
		<Property name="ISGlobalProcessId">11351183</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISProcessId">11351183</Property>
		<Property name="ISModuleName">VAM_am_wfc_058_deleteQuery</Property>
		<Property name="ISServerName">dev03.virtimo.net</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;parameters>&lt;id>7&lt;/id>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1501524798456&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT0H1M0S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_apg&lt;/role>&lt;role>VAM_organization_EAA&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>VAM_organization_FPM&lt;/role>&lt;role>VAM_organization_mcs&lt;/role>&lt;role>VAM_organization_mcsgud&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_shawcose&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_wpm&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>PF&lt;/id>&lt;displayName>PF&lt;/displayName>&lt;name/>&lt;configuration>&lt;am>&lt;overviewsNOT>&lt;overview>&lt;type>grid&lt;/type>&lt;information>&lt;en>The authorization logic in the Javascript client is currently much less fine-grained. This reflects that not all combinations are sensible: nothing is possible (if any 'query' or 'get' permission for 'template', 'asset', 'query' or 'person' is missing) access - i.e., the asset management UI appears at all. three rights for creating, editing and deleting assets (determined from the permissions above) - even here, it appears strange to allow creating without editing. two rights for creating and editing persons (determined from the permission above) - currently persons cannot be deleted at all."&lt;/en>&lt;/information>&lt;/overview>&lt;/overviewsNOT>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>

  &lt;xsl:template match="/">
    &lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>
    &lt;queries>
      &lt;query properties="force" queryID="deletion">&lt;value>&lt;xsl:text>
update queries 

set

DELETED = '1',
DELETEDON = &lt;/xsl:text>&lt;xsl:value-of select="am:timestampToDB( $currentDateTime)"/>&lt;xsl:text>,
DELETEDBYUSERID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>&lt;xsl:text>

where

ID = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($var.session/request/parameters/id)"/>&lt;xsl:text> and ORGANIZATIONID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>&lt;xsl:text>
and (
  VISIBILITY = 'o' or
  LASTUPDATEDBYUSERID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>&lt;xsl:text>
)
        &lt;/xsl:text>&lt;/value>
        
      &lt;/query>
    &lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>